<?php
class Options extends Admin {

  public function __construct() { parent::__construct(); }
  
  //---[CZ]: výběr jazyka/vzhledu/šablony
  public function selection($selected, $folder) {
    $dir=opendir("./$folder/");
    while ($file=readdir($dir)){
    $name=explode(".", $file);
    if ($name[0]!="") {
    if ($name[0]!="admin" AND $name[1]=="css" OR $folder!="themes") {
    echo ("<option value=\"".$name[0]."\"");
    if ($name[0]==$selected) { echo " selected=\"selected\""; }
    echo ">$file</option>\n";
    }
    }
    }
  }
  
  //---[CZ]: výběr práv
  public function rights_selection($item) {
    for ($i=0; $i<6; $i++) {
    echo "<option value=\"$i\"";
    if ($item==$i) { echo " selected=\"selected\""; }
    echo ">$i</option>\n";
    }
  }

}
?>